> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Verification



## OpenAPI

````yaml post /v2/verifications
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v2/verifications:
    post:
      tags:
        - Verifications
      summary: Create Verification
      operationId: createVerification
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerificationV2Request'
      responses:
        '201':
          description: A verification ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerificationV2Response'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
                  param:
                    type: string
                    example: payerId
                  id:
                    type: string
                    example: '12345'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    VerificationV2Request:
      required:
        - patient
        - payerId
        - placeOfServiceCode
        - specialtyCode
      type: object
      properties:
        patient:
          required:
            - firstName
            - lastName
            - dateOfBirth
            - state
            - memberId
          type: object
          description: An object to describe the patient
          properties:
            firstName:
              type: string
              description: The patient's first name
              example: John
            lastName:
              type: string
              description: The patient's last name
              example: Doe
            dateOfBirth:
              type: string
              description: The patient's birth date in MM/DD/YYYY format
              pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
              example: 09/20/2023
            state:
              type: string
              description: Two-letter US state code
              enum:
                - AK
                - AL
                - AR
                - AZ
                - CA
                - CO
                - CT
                - DC
                - DE
                - FL
                - GA
                - HI
                - IA
                - ID
                - IL
                - IN
                - KS
                - KY
                - LA
                - MA
                - MD
                - ME
                - MI
                - MN
                - MO
                - MS
                - MT
                - NC
                - ND
                - NE
                - NH
                - NJ
                - NM
                - NV
                - NY
                - OH
                - OK
                - OR
                - PA
                - RI
                - SC
                - SD
                - TN
                - TX
                - UT
                - VA
                - VT
                - WA
                - WI
                - WV
                - WY
              example: CA
            memberId:
              type: string
              description: The patient's insurance member ID
              example: '00000000'
        payerId:
          type: string
          description: >-
            The payer ID. See the Sohar [payer
            list](https://docs.soharhealth.com/api-reference/payers/get-payers)
          format: uuid
          example: '62308'
        placeOfServiceCode:
          type: string
          description: >-
            A [two-digit
            code](https://www.cms.gov/medicare/coding-billing/place-of-service-codes/code-sets)
            that describes the setting in which a service was provided
          example: '02'
        specialtyCode:
          type: string
          description: |-
            Specifies the specialty

            `ABA` Applied Behavioral Analysis
            `IOP` Intensive Outpatient Program
            `OCT` Occupational Therapy
            `PHT` Physical Therapy
            `PRC` Primary Care
            `PCH` Psychiatry
            `PSY` Psychotherapy
            `SLP` Speech-Language Pathology
            `SUD` Substance Use Disorder
            `UGC` Urgent Care
            `WMT` Weight Management
          enum:
            - ABA
            - IOP
            - OCT
            - PHT
            - PRC
            - PCH
            - PSY
            - SLP
            - SUD
            - UGC
            - WMT
          example: PSY
        id:
          type: string
          description: An optional identifier for the verification
          example: '123456'
          maxLength: 45
        subscriber:
          type: object
          description: >-
            An optional object to describe the subscriber related to the
            insurance member ID. Used when the patient is a dependent - the
            subscriber is typically a parent or spouse
          properties:
            firstName:
              type: string
              description: The subscriber's first name
            lastName:
              type: string
              description: The subscriber's last name
            dateOfBirth:
              type: string
              description: The subscriber's birth date in MM/DD/YYYY format
              pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
              example: 09/20/2023
    VerificationV2Response:
      type: object
      properties:
        verificationId:
          type: string
          description: The Sohar ID for the verification
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        id:
          type: string
          nullable: true
          description: >-
            An optional identifier for the verification. This is a user-defined
            value that can be used when creating the verification
          example: '123456'
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````